|  | Home

# QtPointPropertyManager Class Reference

The QtPointPropertyManager provides and manages QPoint properties. More...

     #include <QtPointPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtPointPropertyManager ( QObject * parent = 0 )
- ~QtPointPropertyManager ()
- QtIntPropertyManager * subIntPropertyManager () const
- QPoint value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setValue ( QtProperty * property, const QPoint & value )

- 1 public slot inherited from QObject

### Signals

- void valueChanged ( QtProperty * property, const QPoint & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtPointPropertyManager provides and manages QPoint properties.

A point property has nested x and y subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by a QtIntPropertyManager object. This manager can be retrieved using the subIntPropertyManager() function. In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

In addition, QtPointPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtIntPropertyManager, and QtPointFPropertyManager.

## Member Function Documentation

### QtPointPropertyManager::QtPointPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtPointPropertyManager::~QtPointPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtPointPropertyManager::setValue ( QtProperty * property, const QPoint & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtIntPropertyManager * QtPointPropertyManager::subIntPropertyManager () const

Returns the manager that creates the nested x and y subproperties.

In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QPoint QtPointPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns a point with coordinates (0, 0).

See also setValue().

### void QtPointPropertyManager::valueChanged ( QtProperty * property, const QPoint & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().